[Solved] How can i get e-sword?

Hello, I install the following package:

Installing selected packages ...

warning: sword-1.8.1-8 is up to date - reinstalling

resolving dependencies ...

looking for conflicting packages ...

Packages (1) sword-1.8.1-8

Total Installed Size: 3.53 MiB

Net Upgrade Size: 0.00 MiB

checking keys in keyring

checking package integrity

checking for file conflicts

:: Processing package changes ...

(1/1) reinstalling sword

:: Running post-transaction hooks ...

Arming ConditionNeedsUpdate ...

Command finished OK!

But it doesn’t appear anywhere, neither in the Menu nor through the terminal - the dependencies are installed.

I don’t know what I have to do or what mistake I am making, thanks for any indication.

you can check whether it’s installed with pacman -Qs sword.

If you mean that you can’t use it, please specify how you are intending to do it. Because as far as I understand SWORD is an API (https://crosswire.org/sword/develop/swordapi/apiprimer.jsp).

1 Like

As @Tasia91 points out, it isn’t the type of application that shows up in a menu. What were you expecting to happen?

Here are the commands available though cli:

sword /usr/bin/addld
sword /usr/bin/diatheke
sword /usr/bin/emptyvss
sword /usr/bin/imp2gbs
sword /usr/bin/imp2ld
sword /usr/bin/imp2vs
sword /usr/bin/installmgr
sword /usr/bin/mkfastmod
sword /usr/bin/mod2imp
sword /usr/bin/mod2osis
sword /usr/bin/mod2vpl
sword /usr/bin/mod2zmod
sword /usr/bin/osis2mod
sword /usr/bin/tei2mod
sword /usr/bin/vpl2mod
sword /usr/bin/vs2osisref
sword /usr/bin/vs2osisreftxt
sword /usr/bin/xml2gbs
1 Like
type or past[keos@keos-pc ~]$ pacman -Qs sword
local/argon2 20190702-2
    A password-hashing function (reference C implementation)
local/cracklib 2.9.7-2
    Password Checking Library
local/gnome-keyring 1:3.36.0-1 (gnome)
    Stores passwords and encryption keys
local/libpwquality 1.4.2-2
    Library for password quality checking and generating random passwords
local/libsecret 0.20.3-1
    Library for storing and retrieving passwords and other secrets
local/python-sword 1.8.1-8
    Library for Bible study programs
local/shadow 4.8.1-1
    Password and account management tool suite with support for shadow files and
    PAM
local/sword 1.8.1-8
    Library for Bible study programs
local/wv 1.2.9-4
    MSWord library can load and parse Word 2000, 97, 95 and 6 file formats
[keos@keos-pc ~]$ e code here

it is the first time i’m trying to install sword, so i have no idea about your question: “specify how you are intending to do it”, please tell me what do i have to do … Thanks.

It looks properly installed. Why do you think it isn’t? It won’t show up in a menu because it isn’t that kind of software.

Why did you install it? What did you plan to do with it?

To be more clear, it isn’t a library as in something you read. It is a library as in something used to write software.

If you are looking for a SWORD front-end, maybe this will be helpful to you? https://wiki.crosswire.org/Choosing_a_SWORD_program

1 Like

This is the information that i found in octopi and the reason i want to chech on this application:

sword

Library for Bible study programs

URL https://www.crosswire.org/sword/
Version 1.8.1-8
Licenses GPL
Depends On curl clucene swig xz
Required By python-sword
Download Size 0.00 Bytes
Installed Size 3.53 MiB
Packager Felix Yan felixonmars@archlinux.org
Architecture x86_64
Build Date lunes, 11 de noviembre de 2019 20:26:03 EST
Install Reason Explicitly installed

Are you writing software?

1 Like

No i just want to read t…

He’s not understanding how to use it. :thinking:

2 Likes

Install bibletime. It’s in arch repos :slight_smile:

sudo pacman -S bibletime

3 Likes

@Tasia91 I think I understand now, the program called e-sword does not exist here, but there is a similar one: ‘Bibletime’. I already have it, I’ll check it, thanks.

1 Like